head	1.1;
access;
symbols
	tonic_4:1.1
	tonic_3:1.1
	tonic_2:1.1
	demo:1.1.0.2
	design_report:1.1;
locks; strict;
comment	@# @;


1.1
date	95.12.05.10.46.44;	author hartmans;	state Exp;
branches;
next	;


desc
@@


1.1
log
@Add global makefile
@
text
@build_top=.
include config/commondefs
top_srcdir=@@top_srcdir@@
srcdir=@@srcdir@@
VPATH=@@srcdir@@
exec_prefix=@@exec_prefix@@


GAME_OBJS = $(build_top)/antichess/antichess_board.o $(build_top)/antichess/chess_capture_move.o\
    $(build_top)/antichess/chess_display_board.o\
    $(build_top)/antichess/antichess_valid_moves.o $(build_top)/antichess/antichess_valid_moves_avail.o \
    $(build_top)/antichess/chess_display.o
UI_OBJS = $(build_top)/web/top_node.o $(build_top)/web/main.o

OBJS= $(UI_OBJS) $(GAME_OBJS)

SUBDIRS = base ps5 antichess web

all: all_subdirs antichess-entangled 

LLDLIBS = -lbase -lps5
antichess-entangled: $(OBJS) $(LIBDIR)/libbase.a $(LIBDIR)/libps5.a
	$(C++F) -o $@@ $^ $(LDFLAGS)

include $(top_srcdir)/config/commonrules

@
